MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025978Open CASCADE[OCCT] OCCT:Visualizationpublic2015-03-24 20:262019-01-16 00:41
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAndroidOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025978: Visualization - setup font aliases for Android
DescriptionAndroid does not use traditional Linux schemes for system fonts, and thus Font_FontMgr should be improved.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027505closedbugmaster Visualization, Font_FontMgr - do not look for fonts.dir on OS X 
related to 0030439verifiedbugmaster Visualization - extend fonts search within Font_FontMgr::FindFont() on Linux 
child of 0025146closedbugmaster Porting to Android 

-  Notes
(0038861)
git (administrator)
2015-03-24 20:40

Branch CR25978 has been created by kgv.

SHA-1: 8ca6bb5ebf234c81b78a7597aee680901191eefb


Detailed log of new commits:

Author: kgv
Date: Tue Mar 24 20:39:50 2015 +0300

    0025978: Visualization - setup font aliases for Android
    
    Font_FontMgr - setup system fonts "Droid Sans Mono", "Droid Serif" and "Roboto" as aliases to "Courier", "Times" and "Arial" on Android.
    Locate Android system fonts in directory "/system/fonts".
    
    OpenGl_Text::FindFont() - print error message on missed fonts.
    OpenGl_Text::render() - allow straightforward font rendering on OpenGL ES.
(0038863)
kgv (developer)
2015-03-25 08:51

Patch is ready for review.
(0038870)
git (administrator)
2015-03-25 11:24

Branch CR25978 has been updated by kgv.

SHA-1: 500c66b3d8333696c413fc4f3465420148f8f386


Detailed log of new commits:

Author: kgv
Date: Wed Mar 25 11:24:12 2015 +0300

    add missing checks for core profile

(0038871)
git (administrator)
2015-03-25 11:25

Branch CR25978_1 has been created by kgv.

SHA-1: 1afa9af663822454ce46a69ea69b2ba9c9c898af


Detailed log of new commits:

Author: kgv
Date: Wed Mar 25 11:24:52 2015 +0300

    0025978: Visualization - setup font aliases for Android
    
    Font_FontMgr - setup system fonts "Droid Sans Mono", "Droid Serif" and "Roboto" as aliases to "Courier", "Times" and "Arial" on Android.
    Locate Android system fonts in directory "/system/fonts".
    
    OpenGl_Text::FindFont() - print error message on missed fonts.
    OpenGl_Text::render() - allow straightforward font rendering on OpenGL ES.
(0038872)
git (administrator)
2015-03-25 11:27

Branch CR25978_1 has been updated forcibly by kgv.

SHA-1: 207458ded90b8dda19d28b84d79595d7d42b4ca5
(0038874)
san (developer)
2015-03-25 11:38

Branch CR25978_1 reviewed without remarks, ready for testing.
(0038977)
apv (tester)
2015-03-30 13:08
edited on: 2015-03-30 13:10

Dear BugMaster,

Branch CR25978_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 207458ded90b8dda19d28b84d79595d7d42b4ca5

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
http://occt-tests/CR25978-1-master-occt-64/Windows-64-VC10/summary.html [^]
3rdparty fonts A2
bugs vis bug21091_2

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 87485955 / 88604751 [-1.26%]
Total CPU difference: 52481.200000000004 / 53186.43000000024 [-1.33%]

Testing on Windows:
Total MEMORY difference: 87485955 / 88604751 [-1.26%]
Total CPU difference: 52481.200000000004 / 53186.43000000024 [-1.33%]

(0038984)
git (administrator)
2015-03-30 15:28

Branch CR25978_1 has been updated by kgv.

SHA-1: 920a2571ae078dd632da21c2063722bcffaee301


Detailed log of new commits:

Author: kgv
Date: Mon Mar 30 15:28:18 2015 +0300

    Do not use "Webdings" in tests.
    Drop duplicating test case bugs/vis/bug21091_2.

(0038985)
kgv (developer)
2015-03-30 15:32
edited on: 2015-03-30 15:33

Dear bugmaster,
please check updated test case (no need to rebuild sources).

> Regressions/Differences:
> 3rdparty fonts A2
> bugs vis bug21091_2
these test cases are used font "Webdings" which has no letters on Windows (see one missing label "OpenCascade" while comparing snapshots on Windows and Linux) thus does not make sense in this context. Test case has been updated within the patch. bugs/vis/bug21091_2 just duplicates the same test case and has been removed.

(0039113)
apv (tester)
2015-04-01 17:48

Results of test-case 3rdparty fonts A2 re-testing are OK:
http://occt-tests/CR25978-1-master-occt-64/Debian60-64/3rdparty/fonts/A2.html [^]
http://occt-tests/CR25978-1-master-occt-64/Windows-64-VC10/3rdparty/fonts/A2.html [^]
(0039453)
git (administrator)
2015-04-09 09:49

Branch CR25978 has been deleted by kgv.

SHA-1: 500c66b3d8333696c413fc4f3465420148f8f386
(0039454)
git (administrator)
2015-04-09 09:49

Branch CR25978_1 has been deleted by kgv.

SHA-1: 920a2571ae078dd632da21c2063722bcffaee301

- Related Changesets
occt: master 65360da3
Timestamp: 2015-04-02 12:10:07
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025978: Visualization - setup font aliases for Android

Font_FontMgr - setup system fonts "Droid Sans Mono", "Droid Serif" and "Roboto" as aliases to "Courier", "Times" and "Arial" on Android.
Locate Android system fonts in directory "/system/fonts".

OpenGl_Text::FindFont() - print error message on missed fonts.
OpenGl_Text::render() - allow straightforward font rendering on OpenGL ES.

Do not use "Webdings" in tests.
Drop duplicating test case bugs/vis/bug21091_2.
mod - src/Font/Font_FontMgr.cxx Diff ] File ]
mod - tests/3rdparty/fonts/A2 Diff ] File ]
rm - tests/bugs/vis/bug21091_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-24 20:26 kgv New Issue
2015-03-24 20:26 kgv Assigned To => kgv
2015-03-24 20:40 git Note Added: 0038861
2015-03-24 20:40 kgv Relationship added child of 0025146
2015-03-25 08:51 kgv Note Added: 0038863
2015-03-25 08:51 kgv Assigned To kgv => san
2015-03-25 08:51 kgv Status new => resolved
2015-03-25 11:24 git Note Added: 0038870
2015-03-25 11:25 git Note Added: 0038871
2015-03-25 11:27 git Note Added: 0038872
2015-03-25 11:38 san Note Added: 0038874
2015-03-25 11:38 san Assigned To san => bugmaster
2015-03-25 11:38 san Status resolved => reviewed
2015-03-25 12:05 apv Assigned To bugmaster => apv
2015-03-30 13:05 apv Test case number => Not needed
2015-03-30 13:08 apv Note Added: 0038977
2015-03-30 13:08 apv Assigned To apv => kgv
2015-03-30 13:08 apv Status reviewed => assigned
2015-03-30 13:10 apv Note Edited: 0038977 View Revisions
2015-03-30 15:28 git Note Added: 0038984
2015-03-30 15:32 kgv Note Added: 0038985
2015-03-30 15:32 kgv Assigned To kgv => bugmaster
2015-03-30 15:32 kgv Status assigned => resolved
2015-03-30 15:32 kgv Status resolved => reviewed
2015-03-30 15:33 kgv Note Edited: 0038985 View Revisions
2015-03-30 15:33 kgv Note Edited: 0038985 View Revisions
2015-03-30 15:37 mkv Assigned To bugmaster => apv
2015-04-01 17:48 apv Note Added: 0039113
2015-04-01 17:48 apv Assigned To apv => bugmaster
2015-04-01 17:48 apv Status reviewed => tested
2015-04-07 16:08 bugmaster Changeset attached => occt master 65360da3
2015-04-07 16:08 bugmaster Status tested => verified
2015-04-07 16:08 bugmaster Resolution open => fixed
2015-04-09 09:49 git Note Added: 0039453
2015-04-09 09:49 git Note Added: 0039454
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2016-05-16 09:19 kgv Relationship added related to 0027505
2019-01-16 00:41 kgv Relationship added related to 0030439


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker